
#ifndef _PSTOME_REORDER_HPP_
#define _PSTOME_REORDER_HPP_

#include <list>

#include "exceptions.hpp"

namespace pstome {

class Reorder
{
        private:
        //! den default-konstruktor gibt es nicht
        Reorder (){}
        //! die Page-Listen fr Vorder- und Rckseiten
        std::list<unsigned int> front;
        std::list<unsigned int> back;
        


        //! die Gesamt-Seitenzahl
        unsigned int maxpages;
        //! remember if we processed the lists
        bool processed;
        
        protected:

        public:
        
        Reorder (unsigned int n);
        //! process generiert die umsortierten Listen
        void process();
        void getSimplex(std::list<unsigned int> &f,std::list<unsigned int> &b,bool revert);
        void getDuplex(std::list<unsigned int> &fb);

};

} //end namespace pstome

#endif
