
#ifndef _PSTOME_PARSECMDLINE_HPP_
#define _PSTOME_PARSECMDLINE_HPP_

#include <string>

namespace pstome {

enum t_mode {
        NOTSET=0,
        SIMPLEX=1,
        DUPLEX=2
};

class ParseCmdLine
{
        private:
        //! default constructor is forbidden
        ParseCmdLine(){}

        public:
        ParseCmdLine(int argc, char** argv);

        t_mode mode;      
        unsigned int pnumber;
        std::string infile;
        std::string outfile1;
        std::string outfile2;
	bool reverse;
};

} //end namespace pstome

#endif
